Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025906
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2014-03-05 12:502017-09-14 13:32
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchpiFixed in SCM revision1ea574e6513c
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025906: Tree Extension Project

DescriptionThe purpose of this project is to:
- Allow external modules to define tree tables without changing the core module.
Change the UI of the tree windows, so that it uses smartclient instead of a manual popup.
- Create a new reference that takes advantage of the hierarchical data of the tree tables.
- Allow to define custom trees that do not match the two current default tree structures (ADTreeNode and LinkToParent).

A more detailed description of this project can be found here: http://wiki.openbravo.com/wiki/Projects/Tree_Extension/Functional_Specifications [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031870 closedplatform preference "Use classic popup tree" requires to clean cache 
related to defect 00259373.0PR14Q2 closedAugustoMauch Right clicking a record in the tree grid view should not result in the drag of the record 
related to design defect 0009848pi closeddbaz Drag and Drop window change is not captured by auto-save 
related to defect 0027148 closedalostale Module org.openbravo.module.resources cannot be uninstalled 
related to defect 00271523.0PR14Q4 closedalostale can't export to dataset tree nodes defined in new trees 
related to defect 0028843 closedAugustoMauch Characteristic selector not show all values 
related to defect 00318563.0PR16Q2 closedcaristu It is not supported to have more than one "Tree and node image" record defined for same client 
related to defect 0033255 closedalostale some organizations not shown in tree view 
related to defect 0033143 closedalostale Property field not visible in tree grid view 
related to defect 0036854 closedcaristu Cannot open Tree Views in Classic Mode if the role does not have access to AD_TAB and AD_TREE tables 
causes defect 0028852 closedAugustoMauch When you add or remove a treenode you will receive ugly error in the log and also strange behavior 
causes defect 0029097 closedAugustoMauch Not possible to move a menu entry on the tree if you not have the module indevelpment 
causes defect 00263833.0PR14Q4 closedinigosanchez If the delete toolbar button is pushed in the tree grid view, the deleted record is the one selected in the standard grid view. 
causes defect 0031867 closedcaristu the trees in the application can not be updated when preference "Use classic popup tree" is enabled 

-  Notes
(0064859)
hgbot (developer)
2014-03-05 17:39

Repository: erp/devel/pi
Changeset: 1ea574e6513ced497aaa66952a0eb3ff48525669
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Mar 05 16:32:12 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1ea574e6513ced497aaa66952a0eb3ff48525669 [^]

Fixes issue 25906 - Tree Extension project, merge with pi

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_PREFERENCE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-tab.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-toolbar-styles.css
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/OBCLKER_UIDEFINITION.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
M src-db/database/model/functions/AD_GET_ORG_LE_BU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISLE_ISBU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISTRANS_ALLOWED.xml
M src-db/database/model/functions/AD_ORG_CHK_CALENDAR.xml
M src-db/database/model/functions/AD_ORG_CHK_READY.xml
M src-db/database/model/functions/AD_ORG_CHK_SCHEMAS.xml
M src-db/database/model/functions/AD_ORG_GETCALENDAROWNER.xml
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
M src-db/database/model/tables/AD_TAB.xml
M src-db/database/model/tables/AD_TABLE.xml
M src-db/database/model/tables/AD_TREE.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src-wad/src/org/openbravo/wad/WadUtility.java
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/dal/security/OrganizationStructureProvider.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree.java
M src/org/openbravo/erpCommon/utility/WindowTreeChecks.java
M src/org/openbravo/erpCommon/utility/WindowTreeUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree_data.xsql
A modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-grid.js.ftl
A modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-selector.js.ftl
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeGridComponent.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeReferenceComponent.java
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_into.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_open.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconNode.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_closed.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_opened.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.css
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.js
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKTreeUIDefinition.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/CheckTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService_data.xsql
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/AssetsTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/MenuTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/OrganizationTreeOperationManager.java
A src-db/database/model/tables/AD_REF_TREE.xml
A src-db/database/model/tables/AD_REF_TREE_FIELD.xml
A src-db/database/model/tables/AD_TABLE_TREE.xml
A src-db/database/sourcedata/AD_TABLE_TREE.xml
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTrees.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTreesData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees_Data.xsql
A src/org/openbravo/base/model/RefTree.hbm.xml
A src/org/openbravo/base/model/RefTree.java
A src/org/openbravo/base/model/domaintype/TreeDomainType.java
---
(0064860)
hgbot (developer)
2014-03-05 17:39

Repository: erp/devel/pi
Changeset: 89b3ef58fba0cf02e9bd9b426511329b46d1979b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Mar 05 16:46:30 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/89b3ef58fba0cf02e9bd9b426511329b46d1979b [^]

Related with issue 25906: Adds IsTree column to existing ad_tables

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0064867)
hgbot (developer)
2014-03-05 18:20

Repository: erp/devel/pi
Changeset: c170fbef8465845fb3562f4571f4f4b0e192e0f3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Mar 05 18:16:11 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c170fbef8465845fb3562f4571f4f4b0e192e0f3 [^]

Related to issue 25906: Backs out changeset 89b3ef58fba0

Change 89b3ef58fba0 has been backed out in order to merge the Tree Extension project properly

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.myob/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.querylist/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.google/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.service.integration.openid/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.userinterface.selector/src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0064868)
hgbot (developer)
2014-03-05 18:21

Repository: erp/devel/pi
Changeset: 4435c76bc9e66b0dcde6631877aa125356655c32
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Mar 05 18:18:08 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4435c76bc9e66b0dcde6631877aa125356655c32 [^]

Related to issue 25906: Backs out changeset 89b3ef58fba0

Changeset 1ea574e6513c has been backed out in order to merge the Tree Extension project properly

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_PREFERENCE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-tab.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-toolbar-styles.css
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/OBCLKER_UIDEFINITION.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
M src-db/database/model/functions/AD_GET_ORG_LE_BU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISLE_ISBU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISTRANS_ALLOWED.xml
M src-db/database/model/functions/AD_ORG_CHK_CALENDAR.xml
M src-db/database/model/functions/AD_ORG_CHK_READY.xml
M src-db/database/model/functions/AD_ORG_CHK_SCHEMAS.xml
M src-db/database/model/functions/AD_ORG_GETCALENDAROWNER.xml
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
M src-db/database/model/tables/AD_TAB.xml
M src-db/database/model/tables/AD_TABLE.xml
M src-db/database/model/tables/AD_TREE.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src-wad/src/org/openbravo/wad/WadUtility.java
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/dal/security/OrganizationStructureProvider.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree.java
M src/org/openbravo/erpCommon/utility/WindowTreeChecks.java
M src/org/openbravo/erpCommon/utility/WindowTreeUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree_data.xsql
R modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
R modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
R modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-grid.js.ftl
R modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-selector.js.ftl
R modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeGridComponent.java
R modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeReferenceComponent.java
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
R modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_into.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_open.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconNode.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_closed.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_opened.png
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.css
R modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.js
R modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKTreeUIDefinition.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/CheckTreeOperationManager.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService_data.xsql
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/AssetsTreeOperationManager.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/MenuTreeOperationManager.java
R modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/OrganizationTreeOperationManager.java
R src-db/database/model/tables/AD_REF_TREE.xml
R src-db/database/model/tables/AD_REF_TREE_FIELD.xml
R src-db/database/model/tables/AD_TABLE_TREE.xml
R src-db/database/sourcedata/AD_TABLE_TREE.xml
R src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTrees.class
R src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTreesData.class
R src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees.java
R src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees_Data.xsql
R src/org/openbravo/base/model/RefTree.hbm.xml
R src/org/openbravo/base/model/RefTree.java
R src/org/openbravo/base/model/domaintype/TreeDomainType.java
---
(0064869)
AugustoMauch (developer)
2014-03-05 18:21

Reopened because the project has not been merged properly
(0064874)
hgbot (developer)
2014-03-05 23:43

Repository: erp/devel/pi
Changeset: ba33a4a3e4221a05e0db6e6afd86089fadffbb80
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Mar 05 23:13:24 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ba33a4a3e4221a05e0db6e6afd86089fadffbb80 [^]

Related to issue 25906: Tree Extension Project, merge with pi

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_PREFERENCE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_REF_LIST.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TAB.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TABLE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-tab.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ApplicationDictionaryCachedStructures.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewTab.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/personalization/ob-manage-views.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-toolbar-styles.css
M modules/org.openbravo.client.kernel/src-db/database/sourcedata/OBCLKER_UIDEFINITION.xml
M modules/org.openbravo.service.datasource/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.userinterface.smartclient/web/org.openbravo.userinterface.smartclient/js/ob-smartclient.js
M src-db/database/model/functions/AD_GET_ORG_LE_BU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISLE_ISBU.xml
M src-db/database/model/functions/AD_ORGTYPE_ISTRANS_ALLOWED.xml
M src-db/database/model/functions/AD_ORG_CHK_CALENDAR.xml
M src-db/database/model/functions/AD_ORG_CHK_READY.xml
M src-db/database/model/functions/AD_ORG_CHK_SCHEMAS.xml
M src-db/database/model/functions/AD_ORG_GETCALENDAROWNER.xml
M src-db/database/model/functions/AD_ORG_GETPERIODCONTROLALLOW.xml
M src-db/database/model/tables/AD_TAB.xml
M src-db/database/model/tables/AD_TABLE.xml
M src-db/database/model/tables/AD_TREE.xml
M src-db/database/model/tables/C_UOM.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODULE.xml
M src-db/database/sourcedata/AD_PREFERENCE.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_WINDOW.xml
M src-db/database/sourcedata/OBCLKER_TEMPLATE.xml
M src-db/database/sourcedata/OBSERDS_DATASOURCE.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src-wad/src/org/openbravo/wad/WadUtility.java
M src/org/openbravo/base/secureApp/OrgTree.java
M src/org/openbravo/dal/security/OrganizationStructureProvider.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialOrgSetup.java
M src/org/openbravo/erpCommon/businessUtility/InitialSetupUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree.java
M src/org/openbravo/erpCommon/utility/WindowTreeChecks.java
M src/org/openbravo/erpCommon/utility/WindowTreeUtility.java
M src/org/openbravo/erpCommon/utility/WindowTree_data.xsql
A modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-grid.js.ftl
A modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-tree-selector.js.ftl
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeGridComponent.java
A modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBTreeReferenceComponent.java
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree-filter.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-tree.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-grid.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-tree-view-grid.js
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_into.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconFolder_open.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconNode.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_closed.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/images/treegrid/iconTree_opened.png
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.css
A modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-tree-grid-styles.js
A modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/FKTreeUIDefinition.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/CheckTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService_data.xsql
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/AssetsTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/MenuTreeOperationManager.java
A modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/treeChecks/OrganizationTreeOperationManager.java
A src-db/database/model/tables/AD_REF_TREE.xml
A src-db/database/model/tables/AD_REF_TREE_FIELD.xml
A src-db/database/model/tables/AD_TABLE_TREE.xml
A src-db/database/sourcedata/AD_TABLE_TREE.xml
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTrees.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateADTreesData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateADTrees_Data.xsql
A src/org/openbravo/base/model/RefTree.hbm.xml
A src/org/openbravo/base/model/RefTree.java
A src/org/openbravo/base/model/domaintype/TreeDomainType.java
---
(0064881)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064882)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064883)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064884)
hudsonbot (developer)
2014-03-06 04:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/94a044af1a46 [^]
Maturity status: Test
(0064886)
alostale (developer)
2014-03-06 08:42

Code reviewed and tested as part of project dev cycle
(0064890)
hgbot (developer)
2014-03-06 09:09

Repository: erp/devel/pi
Changeset: 619ceabbb3320a038318a8b9dac3308f44882ffe
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Mar 06 09:08:08 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/619ceabbb3320a038318a8b9dac3308f44882ffe [^]

Related to issue 25906: Removes table that was added accidentally in the project merge

---
M src-db/database/sourcedata/AD_TABLE.xml
---
(0064896)
hgbot (developer)
2014-03-06 10:36

Repository: erp/devel/pi
Changeset: 9484419af022af28f4c136e4b16e13edc9e7cc2e
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Mar 06 10:35:05 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9484419af022af28f4c136e4b16e13edc9e7cc2e [^]

Related to issue 25906: Updated copyright year of TreeDatasourceService

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
---
(0064933)
hudsonbot (developer)
2014-03-06 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f242c9968f6 [^]
Maturity status: Test
(0064935)
hudsonbot (developer)
2014-03-06 17:20

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9f242c9968f6 [^]
Maturity status: Test
(0064943)
hudsonbot (developer)
2014-03-07 05:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9364dd72aca6 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-03-05 12:50 AugustoMauch New Issue
2014-03-05 12:50 AugustoMauch Assigned To => AugustoMauch
2014-03-05 12:50 AugustoMauch Modules => Core
2014-03-05 12:50 AugustoMauch Triggers an Emergency Pack => No
2014-03-05 12:50 AugustoMauch Target Version => PR14Q2
2014-03-05 12:51 AugustoMauch Description Updated View Revisions
2014-03-05 17:39 hgbot Checkin
2014-03-05 17:39 hgbot Note Added: 0064859
2014-03-05 17:39 hgbot Status new => resolved
2014-03-05 17:39 hgbot Resolution open => fixed
2014-03-05 17:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1ea574e6513ced497aaa66952a0eb3ff48525669 [^]
2014-03-05 17:39 hgbot Checkin
2014-03-05 17:39 hgbot Note Added: 0064860
2014-03-05 18:20 hgbot Checkin
2014-03-05 18:20 hgbot Note Added: 0064867
2014-03-05 18:21 hgbot Checkin
2014-03-05 18:21 hgbot Note Added: 0064868
2014-03-05 18:21 AugustoMauch Note Added: 0064869
2014-03-05 18:21 AugustoMauch Status resolved => new
2014-03-05 18:21 AugustoMauch Resolution fixed => open
2014-03-05 23:43 hgbot Checkin
2014-03-05 23:43 hgbot Note Added: 0064874
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064881
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064882
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064883
2014-03-06 04:24 hudsonbot Checkin
2014-03-06 04:24 hudsonbot Note Added: 0064884
2014-03-06 08:41 alostale Status new => scheduled
2014-03-06 08:41 alostale fix_in_branch => pi
2014-03-06 08:41 alostale Status scheduled => resolved
2014-03-06 08:41 alostale Fixed in Version => PR14Q2
2014-03-06 08:41 alostale Resolution open => fixed
2014-03-06 08:42 alostale Review Assigned To => alostale
2014-03-06 08:42 alostale Note Added: 0064886
2014-03-06 08:42 alostale Status resolved => closed
2014-03-06 09:09 hgbot Checkin
2014-03-06 09:09 hgbot Note Added: 0064890
2014-03-06 10:36 hgbot Checkin
2014-03-06 10:36 hgbot Note Added: 0064896
2014-03-06 17:20 hudsonbot Checkin
2014-03-06 17:20 hudsonbot Note Added: 0064933
2014-03-06 17:20 hudsonbot Checkin
2014-03-06 17:20 hudsonbot Note Added: 0064935
2014-03-07 05:25 hudsonbot Checkin
2014-03-07 05:25 hudsonbot Note Added: 0064943
2014-03-10 10:59 AugustoMauch Relationship added related to 0025937
2014-07-17 15:42 dbaz Relationship added related to 0009848
2014-07-22 11:35 shuehner Relationship added related to 0027148
2014-07-22 12:39 alostale Relationship added related to 0027152
2015-02-04 18:00 AugustoMauch Relationship added causes 0028852
2015-02-04 18:05 AugustoMauch Relationship added related to 0028843
2015-03-02 12:39 AugustoMauch Relationship added causes 0029097
2015-03-06 12:23 AugustoMauch Relationship added causes 0029166
2015-03-06 12:23 AugustoMauch Relationship added causes 0026383
2016-01-15 08:29 alostale Relationship added causes 0031867
2016-01-15 12:21 alostale Relationship added related to 0031856
2016-06-14 10:40 alostale Relationship added related to 0033255
2016-06-14 10:41 alostale Relationship added related to 0033143
2017-09-14 13:10 caristu Relationship added related to 0036854
2017-09-14 13:32 caristu Relationship added related to 0031870


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker